## org.exist.storage.test
Class RecoveryTest3

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.storage.test.RecoveryTest3

All Implemented Interfaces:
  junit.framework.Test

public class RecoveryTest3
extends junit.framework.TestCase

TestCase: add a larger number of documents into a collection, crash the database, restart, remove the collection and add some more documents. This test needs quite a few documents to be in the collection. Change the directory path below to point to a directory with at least 1000 docs.

Author:
  wolf

Constructor Summary
`RecoveryTest3()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testRead()`
`void` `testRead2()`
`void` `testStore()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecoveryTest3

    public RecoveryTest3()

Method Detail

### main

    public static void main(java.lang.String[] args)

### testStore

    public void testStore()

### testRead

    public void testRead()

### testRead2

    public void testRead2()

Copyright (C) Wolfgang Meier. All rights reserved.